## purpose 5.74.0

=== debian/changelog ===
purpose (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:02:16 +0100

purpose (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:01:45 +0100

purpose (5.72.0-0ubuntu2) groovy; urgency=medium

  * No change rebuild against libkaccounts2.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jul 2020 14:32:59 +0100

purpose (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:36:19 +0100

purpose (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:09:46 +0100

purpose (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Do not recommend nodejs as twitter plugin is no more.
    - Depends qml-module-ubuntu-onlineaccounts
    - libkf5purpose5 breaks/replaces libkf5purpose-bin (<< 5.70.0-1~)

 -- Rik Mills <rikmills@kde.org>  Wed, 03 Jun 2020 17:44:30 +0100

purpose (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 1.1-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed Build-Depends.
  * Straighten kirigami dependencies.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:58:04 +0200

purpose (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:35:29 +0100

purpose (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Add Build-Depends-Package to symbols file.
  * Remove not needed nodejs-name patch.
  * Delete KPacakge files from libkf5purpose-bin package.
  * Bump compat level to 13.
  * Remove kpackage plugin dir (twitter plugin was removed).
  * Update copyright file.
  * Enable hardening all.
  * Delete not needed Breaks/Confilcts.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:58:47 +0200
