=== debian/changelog ===
purpose (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:27 +0900

purpose (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:44 +0900

purpose (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:37 +0900

purpose (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:56 +0900

purpose (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:18:49 +0200

purpose (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5purpose5.
  * Purpose does not depend on libkf5wallet-dev.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update symbols from build for 5.74.0.
  * Update lintian-overrides.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:34 +0200

purpose (5.70.0-2) unstable; urgency=medium

  * Team upload.
  * The twitter plugin was removed in version 5.68.0, so:
    - remove the nodejs recommend from libkf5purpose-bin, as it was needed
      for it
    - remove the README.Debian in libkf5purpose-bin mentioning the nodejs
      recommend
  * Demote the kdeconnect recommend in libkf5purpose-bin to a suggest:
    anything that links to libkf5purpose5 gets libkf5purpose-bin added as
    dependency, so installing kdeconnect by default seems too much if only
    the library is used.
  * Remove unused build dependencies: kaccounts-integration, and
    libsignon-qt5-dev.
  * Explicitly add the gettext build dependency.
  * Update lintian overrides.
  * Remove the libkf5purpose-bin dependency in libkf5purpose-dev, as the former
    is not needed to build things using the Purpose libraries.
  * Bump the libkaccounts-dev build dependency to 20.08.0, to make sure to
    build against libkaccounts2.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 00:47:04 +0200
