=== debian/control ===
--- 
+++ 
@@ -1,32 +1,31 @@
 Source: purpose
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.74.0~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.78.0~),
+               gettext,
                intltool,
-               kaccounts-integration,
-               kirigami2-dev (>= 5.74.0~),
+               kirigami2-dev (>= 5.78.0~),
                libaccounts-glib-dev,
                libaccounts-qt5-dev,
-               libkaccounts-dev,
-               libkf5config-dev (>= 5.74.0~),
-               libkf5coreaddons-dev (>= 5.74.0~),
-               libkf5i18n-dev (>= 5.74.0~),
-               libkf5kio-dev (>= 5.74.0~),
-               libkf5notifications-dev (>= 5.74.0~),
-               libkf5wallet-dev (>= 5.74.0~),
-               libsignon-qt5-dev,
+               libkaccounts-dev (>= 4:20.08.0~),
+               libkf5config-dev (>= 5.78.0~),
+               libkf5coreaddons-dev (>= 5.78.0~),
+               libkf5i18n-dev (>= 5.78.0~),
+               libkf5kio-dev (>= 5.78.0~),
+               libkf5notifications-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.12.0~),
-               qtdeclarative5-dev (>= 5.12.0~),
-Standards-Version: 4.5.0
-Homepage: https://cgit.kde.org/purpose.git/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
+               qtbase5-dev (>= 5.14.0~),
+               qtdeclarative5-dev (>= 5.14.0~)
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/purpose
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/purpose
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/purpose.git
 Rules-Requires-Root: no
 
 Package: libkf5purpose-bin
@@ -35,10 +34,9 @@
 Depends: qml-module-org-kde-bluezqt (>= 5.70.0~) [linux-any],
          qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
          qml-module-qtquick-dialogs,
-         qml-module-ubuntu-onlineaccounts,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: kdeconnect
+Suggests: kdeconnect
 Description: abstraction to provide and leverage actions of a specific kind, runtime
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will
@@ -52,11 +50,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5coreaddons-dev (>= 5.74.0~),
-         libkf5purpose-bin (= ${binary:Version}),
+Depends: libkf5coreaddons-dev (>= 5.78.0~),
          libkf5purpose5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.12.0~),
-         ${misc:Depends},
+         qtbase5-dev (>= 5.14.0~),
+         ${misc:Depends}
 Description: abstraction to provide and leverage actions of a specific kind, devel files
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will
@@ -75,8 +72,6 @@
          ${shlibs:Depends}
 Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
 Suggests: kde-telepathy-send-file
-Breaks: libkf5purpose-bin (<< 5.70.0-1~)
-Replaces: libkf5purpose-bin (<< 5.70.0-1~)
 Description: library for abstractions to get the developer's purposes fulfilled
  Framework for providing abstractions to get the developer's purposes fulfilled.
  .
