## purpose 5.80.0

=== debian/changelog ===
purpose (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:11:05 +0000

purpose (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:25:17 +0000

purpose (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Depends qml-module-ubuntu-onlineaccounts.
    - Breaks/Replaces libkf5purpose-bin (<< 5.70.0-1~)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Jan 2021 22:06:24 +0000

purpose (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:59:36 +0000

purpose (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Depends qml-module-ubuntu-onlineaccounts.
    - Breaks/Replaces libkf5purpose-bin (<< 5.70.0-1~)

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 22:07:52 +0000

purpose (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:13:13 +0000

purpose (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)
  * Remove postinst-must-call-ldconfig obsolete lintian override

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:25:59 +0000
