=== debian/control ===
--- 
+++ 
@@ -3,29 +3,29 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                gettext,
                intltool,
-               kirigami2-dev (>= 5.78.0~),
+               kirigami2-dev (>= 5.80.0~),
                libaccounts-glib-dev,
                libaccounts-qt5-dev,
                libkaccounts-dev (>= 4:20.08.0~),
-               libkf5config-dev (>= 5.78.0~),
-               libkf5coreaddons-dev (>= 5.78.0~),
-               libkf5i18n-dev (>= 5.78.0~),
-               libkf5kio-dev (>= 5.78.0~),
-               libkf5notifications-dev,
+               libkf5config-dev (>= 5.80.0~),
+               libkf5coreaddons-dev (>= 5.80.0~),
+               libkf5i18n-dev (>= 5.80.0~),
+               libkf5kio-dev (>= 5.80.0~),
+               libkf5notifications-dev (>= 5.80.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
-               qtdeclarative5-dev (>= 5.14.0~)
+               qtdeclarative5-dev (>= 5.14.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/purpose
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/purpose
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/purpose.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
 Rules-Requires-Root: no
 
 Package: libkf5purpose-bin
@@ -34,8 +34,9 @@
 Depends: qml-module-org-kde-bluezqt (>= 5.70.0~) [linux-any],
          qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
          qml-module-qtquick-dialogs,
+         qml-module-ubuntu-onlineaccounts,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Suggests: kdeconnect
 Description: abstraction to provide and leverage actions of a specific kind, runtime
  Purpose offers the possibility to create integrate services and actions on
@@ -50,10 +51,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5coreaddons-dev (>= 5.78.0~),
+Depends: libkf5coreaddons-dev (>= 5.80.0~),
          libkf5purpose5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: abstraction to provide and leverage actions of a specific kind, devel files
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will
@@ -69,9 +70,11 @@
 Depends: qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
          qml-module-qtquick-controls2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
 Suggests: kde-telepathy-send-file
+Breaks: libkf5purpose-bin (<< 5.70.0-1~)
+Replaces: libkf5purpose-bin (<< 5.70.0-1~)
 Description: library for abstractions to get the developer's purposes fulfilled
  Framework for providing abstractions to get the developer's purposes fulfilled.
  .
@@ -85,7 +88,7 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: kdeconnect
 Description: abstraction to provide and leverage actions of a specific kind, qml bindings
  Purpose offers the possibility to create integrate services and actions on
