=== src/plugins/phabricator/icons/CMakeLists.txt ===
ecm_install_icons(ICONS 16-apps-phabricator-purpose.png 128-apps-phabricator-purpose.png
                  DESTINATION ${KDE_INSTALL_ICONDIR}
                  THEME hicolor)
